/****************************************************************************

	System header file for BoostC, C2C-plus and C2C++ compilers

	Copyrights(C) 2003-2005 Pavel Baranov

****************************************************************************/

#ifndef _SYSTEM_H_
#define _SYSTEM_H_

#ifdef _BOOSTC
	#include <BoostCPic18.h>
	#include <BoostCPic16.h>
	#include <boostc.h>	
#else

#ifdef _PIC12C508
#include <P12C508.h>
#endif //_PIC12C508
#ifdef _PIC12C508A
#include <P12C508A.h>
#endif //_PIC12C508A
#ifdef _PIC12C509
#include <P12C509.h>
#endif //_PIC12C509
#ifdef _PIC12C509A
#include <P12C509A.h>
#endif //_PIC12C509A
#ifdef _PIC12CR509A
#include <P12CR509A.h>
#endif //_PIC12CR509A
#ifdef _PIC12CE518
#include <P12CE518.h>
#endif //_PIC12CE518
#ifdef _PIC12CE519
#include <P12CE519.h>
#endif //_PIC12CE519
#ifdef _PIC12F629
#include <P12F629.h>
#endif //_PIC12F629
#ifdef _PIC12C671
#include <P12C671.h>
#endif //_PIC12C671
#ifdef _PIC12C672
#include <P12C672.h>
#endif //_PIC12C672
#ifdef _PIC12CE673
#include <P12CE673.h>
#endif //_PIC12CE673
#ifdef _PIC12CE674
#include <P12CE674.h>
#endif //_PIC12CE674
#ifdef _PIC12F675
#include <P12F675.h>
#endif //_PIC12F675
#ifdef _PIC12F683
#include <P12F683.h>
#endif //_PIC12F683
#ifdef _PIC16C52
#include <P16C5x.h>
#endif //_PIC16C52
#ifdef _PIC16C54
#include <P16C5x.h>
#endif //_PIC16C54
#ifdef _PIC16CR54
#include <P16C5x.h>
#endif //_PIC16CR54
#ifdef _PIC16C55
#include <P16C5x.h>
#endif //_PIC16C55
#ifdef _PIC16C56
#include <P16C5x.h>
#endif //_PIC16C56
#ifdef _PIC16CR56
#include <P16C5x.h>
#endif //_PIC16CR56
#ifdef _PIC16C57
#include <P16C5x.h>
#endif //_PIC16C57
#ifdef _PIC16CR57
#include <P16C5x.h>
#endif //_PIC16CR57
#ifdef _PIC16C58
#include <P16C5x.h>
#endif //_PIC16C58
#ifdef _PIC16CR58
#include <P16C5x.h>
#endif //_PIC16CR58
#ifdef _PIC16C61
#include <P16C61.h>
#endif //_PIC16C61
#ifdef _PIC16C62
#include <P16C62.h>
#endif //_PIC16C62
#ifdef _PIC16C62A
#include <P16C62A.h>
#endif //_PIC16C62A
#ifdef _PIC16C62B
#include <P16C62B.h>
#endif //_PIC16C62B
#ifdef _PIC16CR62
#include <P16CR62.h>
#endif //_PIC16CR62
#ifdef _PIC16C63
#include <P16C63.h>
#endif //_PIC16C63
#ifdef _PIC16C63A
#include <P16C63A.h>
#endif //_PIC16C63A
#ifdef _PIC16CR63
#include <P16CR63.h>
#endif //_PIC16CR63
#ifdef _PIC16C64
#include <P16C64.h>
#endif //_PIC16C64
#ifdef _PIC16C64A
#include <P16C64A.h>
#endif //_PIC16C64A
#ifdef _PIC16CR64
#include <P16CR64.h>
#endif //_PIC16CR64
#ifdef _PIC16C65
#include <P16C65.h>
#endif //_PIC16C65
#ifdef _PIC16C65A
#include <P16C65A.h>
#endif //_PIC16C65A
#ifdef _PIC16C65B
#include <P16C65B.h>
#endif //_PIC16C65B
#ifdef _PIC16CR65
#include <P16CR65.h>
#endif //_PIC16CR65
#ifdef _PIC16C66
#include <P16C66.h>
#endif //_PIC16C66
#ifdef _PIC16C67
#include <P16C67.h>
#endif //_PIC16C67
#ifdef _PIC16C71
#include <P16C71.h>
#endif //_PIC16C71
#ifdef _PIC16C72
#include <P16C72.h>
#endif //_PIC16C72
#ifdef _PIC16C72A
#include <P16C72A.h>
#endif //_PIC16C72A
#ifdef _PIC16CR72
#include <P16CR72.h>
#endif //_PIC16CR72
#ifdef _PIC16F72
#include <P16F72.h>
#endif //_PIC16F72
#ifdef _PIC16C73
#include <P16C73.h>
#endif //_PIC16C73
#ifdef _PIC16F73
#include <P16F73.h>
#endif //_PIC16F73
#ifdef _PIC16C73A
#include <P16C73A.h>
#endif //_PIC16C73A
#ifdef _PIC16C73B
#include <P16C73B.h>
#endif //_PIC16C73B
#ifdef _PIC16C74
#include <P16C74.h>
#endif //_PIC16C74
#ifdef _PIC16F74
#include <P16F74.h>
#endif //_PIC16F74
#ifdef _PIC16C74A
#include <P16C74A.h>
#endif //_PIC16C74A
#ifdef _PIC16C74B
#include <P16C74B.h>
#endif //_PIC16C74B
#ifdef _PIC16C76
#include <P16C76.h>
#endif //_PIC16C76
#ifdef _PIC16F76
#include <P16F76.h>
#endif //_PIC16F76
#ifdef _PIC16C77
#include <P16C77.h>
#endif //_PIC16C77
#ifdef _PIC16F77
#include <P16F77.h>
#endif //_PIC16F77
#ifdef _PIC16F737
#include <P16F737.h>
#endif //_PIC16F737
#ifdef _PIC16F747
#include <P16F747.h>
#endif //_PIC16F747
#ifdef _PIC16F767
#include <P16F767.h>
#endif //_PIC16F767
#ifdef _PIC16F777
#include <P16F777.h>
#endif //_PIC16F777
#ifdef _PIC16F83
#include <P16F83.h>
#endif //_PIC16F83
#ifdef _PIC16CR83
#include <P16CR83.h>
#endif //_PIC16CR83
#ifdef _PIC16C84
#include <P16C84.h>
#endif //_PIC16C84
#ifdef _PIC16F84
#include <P16F84.h>
#endif //_PIC16F84
#ifdef _PIC16F84A
#include <P16F84A.h>
#endif //_PIC16F84A
#ifdef _PIC16CR84
#include <P16CR84.h>
#endif //_PIC16CR84
#ifdef _PIC16C505
#include <P16C505.h>
#endif //_PIC16C505
#ifdef _PIC16C620
#include <P16C620.h>
#endif //_PIC16C620
#ifdef _PIC16C620A
#include <P16C620A.h>
#endif //_PIC16C620A
#ifdef _PIC16CR620A
#include <P16CR620A.h>
#endif //_PIC16CR620A
#ifdef _PIC16C621
#include <P16C621.h>
#endif //_PIC16C621
#ifdef _PIC16C621A
#include <P16C621A.h>
#endif //_PIC16C621A
#ifdef _PIC16C622
#include <P16C622.h>
#endif //_PIC16C622
#ifdef _PIC16C622A
#include <P16C622A.h>
#endif //_PIC16C622A
#ifdef _PIC16CE623
#include <P16CE623.h>
#endif //_PIC16CE623
#ifdef _PIC16CE624
#include <P16CE624.h>
#endif //_PIC16CE624
#ifdef _PIC16CE625
#include <P16CE625.h>
#endif //_PIC16CE625
#ifdef _PIC16F627
#include <P16F627.h>
#endif //_PIC16F627
#ifdef _PIC16F627A
#include <P16F627A.h>
#endif //_PIC16F627A
#ifdef _PIC16F628
#include <P16F628.h>
#endif //_PIC16F628
#ifdef _PIC16F628A
#include <P16F628A.h>
#endif //_PIC16F628A
#ifdef _PIC16F630
#include <P16F630.h>
#endif //_PIC16F630
#ifdef _PIC16C641
#include <P16C641.h>
#endif //_PIC16C641
#ifdef _PIC16C642
#include <P16C642.h>
#endif //_PIC16C642
#ifdef _PIC16F648A
#include <P16F648A.h>
#endif //_PIC16F648A
#ifdef _PIC16C661
#include <P16C661.h>
#endif //_PIC16C661
#ifdef _PIC16C662
#include <P16C662.h>
#endif //_PIC16C662
#ifdef _PIC16F676
#include <P16F676.h>
#endif //_PIC16F676
#ifdef _PIC16F684
#include <P16F684.h>
#endif //_PIC16F684
#ifdef _PIC16F688
#include <P16F688.h>
#endif //_PIC16F688
#ifdef _PIC16C710
#include <P16C710.h>
#endif //_PIC16C710
#ifdef _PIC16C711
#include <P16C711.h>
#endif //_PIC16C711
#ifdef _PIC16C712
#include <P16C712.h>
#endif //_PIC16C712
#ifdef _PIC16C715
#include <P16C715.h>
#endif //_PIC16C715
#ifdef _PIC16C716
#include <P16C716.h>
#endif //_PIC16C716
#ifdef _PIC16C717
#include <P16C717.h>
#endif //_PIC16C717
#ifdef _PIC16C745
#include <P16C745.h>
#endif //_PIC16C745
#ifdef _PIC16C765
#include <P16C765.h>
#endif //_PIC16C765
#ifdef _PIC16C770
#include <P16C770.h>
#endif //_PIC16C770
#ifdef _PIC16C771
#include <P16C771.h>
#endif //_PIC16C771
#ifdef _PIC16C773
#include <P16C773.h>
#endif //_PIC16C773
#ifdef _PIC16C774
#include <P16C774.h>
#endif //_PIC16C774
#ifdef _PIC16F87
#include <P16F87.h>
#endif //_PIC16F87
#ifdef _PIC16F818
#include <P16F818.h>
#endif //_PIC16F818
#ifdef _PIC16F819
#include <P16F819.h>
#endif //_PIC16F819
#ifdef _PIC16F870
#include <P16F870.h>
#endif //_PIC16F870
#ifdef _PIC16F871
#include <P16F871.h>
#endif //_PIC16F871
#ifdef _PIC16F872
#include <P16F872.h>
#endif //_PIC16F872
#ifdef _PIC16F873
#include <P16F873.h>
#endif //_PIC16F873
#ifdef _PIC16F873A
#include <P16F873A.h>
#endif //_PIC16F873A
#ifdef _PIC16F874
#include <P16F874.h>
#endif //_PIC16F874
#ifdef _PIC16F874A
#include <P16F874A.h>
#endif //_PIC16F874A
#ifdef _PIC16F876
#include <P16F876.h>
#endif //_PIC16F876
#ifdef _PIC16F876A
#include <P16F876A.h>
#endif //_PIC16F876A
#ifdef _PIC16F877
#include <P16F877.h>
#endif //_PIC16F877
#ifdef _PIC16F877A
#include <P16F877A.h>
#endif //_PIC16F877A
#ifdef _PIC16F88
#include <P16F88.h>
#endif //_PIC16F88
#ifdef _PIC16C923
#include <P16C923.h>
#endif //_PIC16C923
#ifdef _PIC16C924
#include <P16C924.h>
#endif //_PIC16C924
#ifdef _SX18
#include <SX18.h>
#endif //_SX18
#ifdef _SX18AC
#include <SX18AC.h>
#endif //_SX18AC
#ifdef _SX28
#include <SX28.h>
#endif //_SX28
#ifdef _SX28AC
#include <SX28AC.h>
#endif //_SX28AC
#ifdef _SX48BD
#include <SX48BD.h>
#endif //_SX48BD
#ifdef _SX52BD
#include <SX52BD.h>
#endif //_SX48BD

#ifdef _PIC18C242
#include <P18C242.h>
#endif //_PIC18C242
#ifdef _PIC18C252
#include <P18C252.h>
#endif //_PIC18C252
#ifdef _PIC18C442
#include <P18C442.h>
#endif //_PIC18C442
#ifdef _PIC18C452
#include <P18C452.h>
#endif //_PIC18C452
#ifdef _PIC18C601
#include <P18C601.h>
#endif //_PIC18C601
#ifdef _PIC18C658
#include <P18C658.h>
#endif //_PIC18C658
#ifdef _PIC18C801
#include <P18C801.h>
#endif //_PIC18C801
#ifdef _PIC18C858
#include <P18C858.h>
#endif //_PIC18C858
#ifdef _PIC18CXXX
#include <P18CXXX.h>
#endif //_PIC18CXXX
#ifdef _PIC18F1220
#include <P18F1220.h>
#endif //_PIC18F1220
#ifdef _PIC18F1320
#include <P18F1320.h>
#endif //_PIC18F1320
#ifdef _PIC18F2220
#include <P18F2220.h>
#endif //_PIC18F2220
#ifdef _PIC18F2320
#include <P18F2320.h>
#endif //_PIC18F2320
#ifdef _PIC18F2331
#include <P18F2331.h>
#endif //_PIC18F2331
#ifdef _PIC18F242
#include <P18F242.h>
#endif //_PIC18F242
#ifdef _PIC18F2431
#include <P18F2431.h>
#endif //_PIC18F2431
#ifdef _PIC18F2439
#include <P18F2439.h>
#endif //_PIC18F2439
#ifdef _PIC18F2455
#include <P18F2455.h>
#endif //_PIC18F2455
#ifdef _PIC18F248
#include <P18F248.h>
#endif //_PIC18F248
#ifdef _PIC18F2510
#include <P18F2510.h>
#endif //_PIC18F2510
#ifdef _PIC18F2515
#include <P18F2515.h>
#endif //_PIC18F2515
#ifdef _PIC18F252
#include <P18F252.h>
#endif //_PIC18F252
#ifdef _PIC18F2520
#include <P18F2520.h>
#endif //_PIC18F2520
#ifdef _PIC18F2525
#include <P18F2525.h>
#endif //_PIC18F2525
#ifdef _PIC18F2539
#include <P18F2539.h>
#endif //_PIC18F2539
#ifdef _PIC18F2550
#include <P18F2550.h>
#endif //_PIC18F2550
#ifdef _PIC18F258
#include <P18F258.h>
#endif //_PIC18F258
#ifdef _PIC18F2585
#include <P18F2585.h>
#endif //_PIC18F2585
#ifdef _PIC18F2610
#include <P18F2610.h>
#endif //_PIC18F2610
#ifdef _PIC18F2620
#include <P18F2620.h>
#endif //_PIC18F2620
#ifdef _PIC18F2680
#include <P18F2680.h>
#endif //_PIC18F2680
#ifdef _PIC18F2681
#include <P18F2681.h>
#endif //_PIC18F2681
#ifdef _PIC18F4220
#include <P18F4220.h>
#endif //_PIC18F4220
#ifdef _PIC18F4320
#include <P18F4320.h>
#endif //_PIC18F4320
#ifdef _PIC18F4331
#include <P18F4331.h>
#endif //_PIC18F4331
#ifdef _PIC18F442
#include <P18F442.h>
#endif //_PIC18F442
#ifdef _PIC18F4431
#include <P18F4431.h>
#endif //_PIC18F4431
#ifdef _PIC18F4439
#include <P18F4439.h>
#endif //_PIC18F4439
#ifdef _PIC18F4455
#include <P18F4455.h>
#endif //_PIC18F4455
#ifdef _PIC18F448
#include <P18F448.h>
#endif //_PIC18F448
#ifdef _PIC18F4510
#include <P18F4510.h>
#endif //_PIC18F4510
#ifdef _PIC18F4515
#include <P18F4515.h>
#endif //_PIC18F4515
#ifdef _PIC18F452
#include <P18F452.h>
#endif //_PIC18F452
#ifdef _PIC18F4520
#include <P18F4520.h>
#endif //_PIC18F4520
#ifdef _PIC18F4525
#include <P18F4525.h>
#endif //_PIC18F4525
#ifdef _PIC18F4539
#include <P18F4539.h>
#endif //_PIC18F4539
#ifdef _PIC18F4550
#include <P18F4550.h>
#endif //_PIC18F4550
#ifdef _PIC18F458
#include <P18F458.h>
#endif //_PIC18F458
#ifdef _PIC18F4585
#include <P18F4585.h>
#endif //_PIC18F4585
#ifdef _PIC18F4610
#include <P18F4610.h>
#endif //_PIC18F4610
#ifdef _PIC18F4620
#include <P18F4620.h>
#endif //_PIC18F4620
#ifdef _PIC18F4680
#include <P18F4680.h>
#endif //_PIC18F4680
#ifdef _PIC18F4681
#include <P18F4681.h>
#endif //_PIC18F4681
#ifdef _PIC18F6410
#include <P18F6410.h>
#endif //_PIC18F6410
#ifdef _PIC18F6490
#include <P18F6490.h>
#endif //_PIC18F6490
#ifdef _PIC18F6520
#include <P18F6520.h>
#endif //_PIC18F6520
#ifdef _PIC18F6525
#include <P18F6525.h>
#endif //_PIC18F6525
#ifdef _PIC18F6585
#include <P18F6585.h>
#endif //_PIC18F6585
#ifdef _PIC18F6620
#include <P18F6620.h>
#endif //_PIC18F6620
#ifdef _PIC18F6621
#include <P18F6621.h>
#endif //_PIC18F6621
#ifdef _PIC18F6680
#include <P18F6680.h>
#endif //_PIC18F6680
#ifdef _PIC18F6720
#include <P18F6720.h>
#endif //_PIC18F6720
#ifdef _PIC18F8410
#include <P18F8410.h>
#endif //_PIC18F8410
#ifdef _PIC18F8490
#include <P18F8490.h>
#endif //_PIC18F8490
#ifdef _PIC18F8520
#include <P18F8520.h>
#endif //_PIC18F8520
#ifdef _PIC18F8525
#include <P18F8525.h>
#endif //_PIC18F8525
#ifdef _PIC18F8585
#include <P18F8585.h>
#endif //_PIC18F8585
#ifdef _PIC18F8620
#include <P18F8620.h>
#endif //_PIC18F8620
#ifdef _PIC18F8621
#include <P18F8621.h>
#endif //_PIC18F8621
#ifdef _PIC18F8680
#include <P18F8680.h>
#endif //_PIC18F8680
#ifdef _PIC18F8720
#include <P18F8720.h>
#endif //_PIC18F8720

#endif // _BOOSTC


#endif //_SYSTEM_H_
